Judgement API

To review the judgment copy or order copy in order to obtain the specifics of the case, including the petitioner and respondent details, as well as the case summary and order details.

API Details

Request URL

POST
https://g99.in/api/pdf/judgement
Copied!

Request Body Parameters

Type Name Optional Description
File file Required Upload the Judgement / Final order copy document

Request Header Parameters

Type Name Value / Description Optional
String Content-Type multipart/form-data Required

Sample Code

request.php
Copied!
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://g99.in/api/pdf/judgement',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('file'=> new CURLFILE('" --Uploaded File Path-- "')),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
request.py
Copied!
import requests

url = "https://g99.in/api/pdf/judgement"

payload = {}
files=[
  ('file',(' --Uploaded File Name-- ',open('" --Uploaded File Path-- "','rb'),'application/pdf'))
]
headers = {}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)
request.cs
Copied!
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://g99.in/api/pdf/judgement");
var content = new MultipartFormDataContent();
content.Add(new StreamContent(File.OpenRead(" --Uploaded File Path-- ")), "file", "  --Uploaded File Path--  ");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());

Response

HTTP status code 200

Key Type Description
case_type String Type or category of the legal case.
case_number String Unique identification number assigned to the case.
court_name String Name of the court handling the case.
court_location String Location or jurisdiction of the court.
date Date Relevant case date such as filing or order date.
judge String Name of the judge presiding over the case.
petitioner String Name of the person or party filing the case.
petitioner_address String Address details of the petitioner.
respondents String Name of the opposing party or respondents.
respondents_address String Address details of the respondents.
case_summary String Brief overview or summary of the case details.
the_prayer String Relief or request sought by the petitioner before the court.
the_order String Final order, decision, or direction issued by the court.

Sample Response

Sample response for valid document

response.json
Copied!
{
  "case_type": "CMP (Civil Miscellaneous Petition)",
  "case_number": "2 of 2025",
  "court_name": "MADRAS HIGH COURT",
  "court_location": "MADURAI BENCH",
  "date": "03/01/2025",
  "judge": "P.GURU",
  "petitioner": "BerlinGeneralInsuranceCompanyLimited",
  "petitioner_address": "Branch Office, New No.34, OldNo.56, Mountroad, TVS, Chennai - 600 018.",
  "respondents": "G.N.MurugaRaj, Sudheer, TokyoGeneralInsuranceCompanyLimited",
  "respondents_address": "Branch Office, New No.34, OldNo.56, Mountroad, TVS, Chennai - 600 018.",
  "case_summary": "This petition seeks a stay on a judgment and decree related to a motor accident claim case.",
  "the_prayer": [
    "An order of stay of the operation of the Judgment and Decree dated 7th November, 2025 passed in MCOP No.35 of 2025 on the file of the Motor Accident Claims Tribunal/Special Judge for Forest Offence Case of Coimbatore."
  ],
  "the_order": [
    "Notice to respondents 1 & 2 to be issued, returnable in four weeks. Private notice is also permitted.",
    "Notice to the 3rd respondent is dispensed with as the appeal against them has been given up.",
    "Interim stay granted until the disposal of the Civil Miscellaneous Appeal in CMA(MD)No.92 of 2026.",
    "Condition for the interim stay: Petitioners shall deposit the entire award amount, along with accrued interest and costs, to the credit of M.C.O.P.No.35 of 2024 within four weeks of receiving a copy of this order.",
    "Failure to comply with the condition will result in the automatic vacation of the interim stay without further reference to this Court."
  ]
}

Error Response

Parameter Type Description
status Number Unique error codes for different errors. Always available.
message String Error message describing the error. Always Available.
error Boolean True / False for different errors. Always available.

Error Codes

HTTP Status Error Code Error Message
415 415 Only PDF files are allowed.
413 413 Please upload a file smaller than 50MB.
422 422 Unable to extract data from the PDF file.
503 503 Document processing service is currently unavailable. Please try again later.

Sample Error Response

response.json
Copied!
{
  "message": "Unable to extract data from the PDF file.",
  "status": 422,
  "error": True
}